import sys

s = sys.stdin.readline()

rabbits = list(s)
rabbits = list(map(int, rabbits[:-1]))

def permutation(k):
	ans = 0
	for (i, r) in enumerate(rabbits):
		if i >= k:
			if rabbits[i] == 0 and rabbits[i - k] == 1:
				ans += 1
	return ans

def make_permutation(k):
	rabbits_new = rabbits.copy()
	for (i, r) in enumerate(rabbits):
		if i >= k:
			if rabbits[i] == 0 and rabbits[i - k] == 1:
				rabbits_new[i] = 1
	return rabbits_new

if rabbits[0] == 0:
	print(-1)
	exit(0)

zeros_count = len([x for x in rabbits if x == 0])
n = len(rabbits)

a = 0
while zeros_count != 0:
	# print(rabbits, zeros_count)
	m = 0
	perm = -1
	for i in range(n):
		if permutation(i) > m:
			m = permutation(i)
			perm = i
	if m == 0:
		print(-1)
		exit(0)
	zeros_count -= m
	rabbits = make_permutation(perm)
	a += 1

print(a)
	
	
